Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230959 - every upgrade of openldap server fails to replace the database
Summary: every upgrade of openldap server fails to replace the database
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 03:06 UTC by david.hagood
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 10:34:30 UTC


Attachments (Terms of Use)

Description david.hagood 2007-03-05 03:06:36 UTC
Description of problem:
Every time openldap-servers is updated, it
a) moves all the database to /var/lib/lapd/rpmorig
b) Creates an upgrade.ldif files
c) FAILS TO LOAD THE FILE

As a result, the LDAP database is left in a default state without any of my data
in it.


Version-Release number of selected component (if applicable):
openldap-2.3.34-0.fc7
openldap-clients-2.3.34-0.fc7
compat-openldap-2.3.34_2.2.29-0.fc7
openldap-servers-2.3.34-0.fc7


How reproducible:
Every time

Steps to Reproduce:
1. Wait for new openldap packages to be available via YUM
2. yum -t -y --skip-broken upgrade

  
Actual results:
LDAP data files are backed up, but not restored, leaving LDAP directory in
default state.

Expected results:
LDAP directory should be restored to containing the data it did before the upgrade.

Additional info:

Comment 1 Jan Safranek 2007-04-25 10:34:30 UTC
There were some problems in %preun/%postun, they are corrected in openldap*-
2.3.34-0.fc7.

Updates _from_ 2.3.34-0.fc7 to newer version should work. 

Please note that update from older version _to_ 2.3.34-0.fc7 will break the 
database "as usual". Manually run 'slapadd /var/lib/ldap/upgrade.ldif' to 
restore the database. You can find the old database in /var/lib/ldap/rpmorig in 
case of some problem. 

I have also submited openldap-2.3.30-2.fc5 and .fc6 to testing, fixing the same 
issue. Updates _to_ 2.3.30.fc5/6 will break the DB, updates _from_ 2.3.30 
should work.


Note You need to log in before you can comment on or make changes to this bug.